%import vol87 skiping the first row (it contains metadata)
%and change its name to input_data
border_eps=0.1;
x_range=max(input_data(:,1))-min(input_data(:,1));
input_data(:,1)=(input_data(:,1)-min(input_data(:,1))) /x_range*(1-2*border_eps)-0.5+border_eps;

y_range=max(input_data(:,2))-min(input_data(:,2));
input_data(:,2)=(input_data(:,2)-min(input_data(:,2))) /y_range*(1-2*border_eps)-0.5+border_eps;

%plot3(input_data(:,1),input_data(:,2),input_data(:,3),'.b')

dlmwrite('glacier.txt',input_data)

%run the fortran code and import He1.txt, He2.txt, and b_vec.txt
l=1.2;
h=1.2;
K1=35;
K2=35;
for i=1:4*(K1+1)*(K2+1)
    for j=1:i
        He1(i,j)=He1(j,i);
    end
end

lambda=0.00000001;
He=He1+lambda*He2;
coef=pinv(He,0.0000001)*b_vec;
[u1,v1]=meshgrid(-l/3:0.005:l/3,-h/3:0.005:h/3);
s3=size(u1);
f_vals=zeros(s3(1),s3(2));
for i=1:s3(1)
    for j=1:s3(2)
    	f_vals(i,j)=f_new(coef,u1(i,j),v1(i,j),K1,K2,l,h);
    end
end
figure(1)
surfl(u1,v1,f_vals)
colormap(bone);
shading interp
campos([3 -4.8 6741.3])
axis([-0.4,0.4,-0.4,0.4,1200,2200])
%%%%%%%%%%%%%This was done on Sep 2
c=min(input_data(:,3)):25:max(input_data(:,3));
figure(2)
contour(u1,v1,f_vals,c,'k')
%axis off
axis([min(min(u1)),max(max(u1)),min(min(v1)),max(max(v1))])
daspect([5 5 1])
figure(3)
plot(input_data(:,1),input_data(:,2),'k.','MarkerSize',3);
%axis off
axis([min(input_data(:,1)),max(input_data(:,1)),min(input_data(:,2)),max(input_data(:,2))])
colormap(gray(256));
daspect([5 5 1])